#***********************************************************
# **********************DEATHRUN PLUGIN**********************
# ***********************************************************
# *---> DeathRun v2.0 Eventscripts Python Edition Build 865
# *----> By isivisi
# *
# *
# *----> This plugin is open source.
# *----> If modified please give credit to original creator!
# *
# ***********************************************************
# ***********************************************************
# ***********************************************************
print '[DEATHRUN PYTHON] Loading plugin...'
import playerlib as pl
import es, cfglib, weaponstrip, gamethread
from es import server_var
dr_team = {}
global dr_team
info = es.AddonInfo()
info.name        = "DeathRun Eventscripts Python"
info.version     = "2.0_alpha"
info.buildnumber = '865'
info.author      = "isivisi"
info.url         = "http://addons.eventscripts.com/addons/view/deathrunv2"
info.basename    = "deathrun"
info.description = "Advanced Deathrun gamemode script for Half-Life 2 Deathmatch"

dr_admins = []
dr_vip = []
es.regcmd('add_admin', 'deathrun/adminget')
es.regcmd('add_vip', 'deathrun/vipget')
def adminget():
	steamid = es.getargs()
	if steamid:
		print '[DRpy] added admin'
		dr_admins.append(steamid)
		print dr_admins
	else:
		print 'add_admin failure'
def vipget():
	steamid = es.getargs()
	if steamid:
		print '[DRPy] added vip'
		dr_vip.append(steamid)
		print dr_vip
	else:
		print 'add_vip failure'

global trys
trys = 0
es.set('rebel_score', '0')
es.set('combine_score', '0')
es.set('need_end_create', '0')
es.set('eventdeath', '0')
es.set('mapstartfun', '0')
es.set('eventspawn', '0')
es.set('chatteam', '1')
es.set('hav', '1')
es.set('forceteam', '0')
es.set('scoreing', '0')
es.set('rep', '0')
es.set('haxallow', '1')
es.set('combinecount', '0')
es.set('rebelcount', '0')
es.set('countin', '1')
es.set('ad1', '1')
es.set('spec', '1')
es.set('anticombine', '1')
es.set('needcombineoff', '0')
es.set('win', '1')
addonList = []                                                  # This holds the list of addons that have been loaded using the loadaddon function.
def loadaddon(name):                                            # This is that loadaddon function, It automaticly adds the deathrun/ to the path for es.load so you dont have to do it.
        path = 'deathrun/%s'%(name)
        es.load(path)
        addonList.append(name)

def load():
	b_deathrun_version = info.version
	es.setinfo("b_deathrun_version", '<%s %s>'%(b_deathrun_version, info.buildnumber))    # This is the current version of the plugin. As you can see it has been turned into a server variable. This is done with mostly all variables to make them easyer to change in different functions without using global.
	es.makepublic("b_deathrun_version")
	
	es.load('gametext')
	
	es.keygroupload("config", "|deathrun")
	es.keygroupload("custom", "|deathrun")
	
	configcheck = es.keygetvalue("config", "default", "save")
	bancheck = es.keygetvalue("bans", "def", "save")
	customcheck = es.keygetvalue("custom", "def", "save")
	
	if configcheck:
		es.server.cmd("echo [DRPy] Deathrun config database loaded correctly.")
	else:
		es.server.cmd("echo [DRPy] Deathrun config database not found!")
		es.keygroupcreate("config")
		es.keycreate("config", "default")
		es.keysetvalue('config', 'default', 'save', '1')
		es.keysetvalue("config", "default", "dr_defaultteam", "3")
		es.keysetvalue("config", "default", "dr_combine_winlimit", "15")
		es.keysetvalue("config", "default", "dr_rebel_winlimit", "10")
		es.keysetvalue("config", "default", "dr_combine_limit", "3")
		es.keysetvalue("config", "default", "dr_autoupdate", "1")
		es.keysetvalue("config", "default", "dr_combine_limit_auto", "0")
		es.keysetvalue("config", "default", "dr_sounds", "0")
		es.keysetvalue("config", "default", "dr_show_hostname_score", "0")
		es.keysetvalue("config", "default", "dr_stats", "1")
		es.keysetvalue("config", "default", "configversion", server_var['b_deathrun_version'])
		es.keygroupsave("config", "|deathrun")
		es.server.cmd("echo [DRPy] Deathrun config database created/loaded correctly.")
	
	configversion = es.keygetvalue("config", "default", "configversion")
	
	if configversion != b_deathrun_version:
		es.server.cmd("echo [DRPy] Config version out of date!")
		es.server.cmd("echo [DRPy] Checking to see if any variables are out of date...")
		# add updated variables here :)
	
	if customcheck:
		es.server.cmd('echo [DRPy] customcheck loaded correctly!')
	else:
		es.keygroupcreate("custom")
		es.keycreate("custom", "def")
		es.keysetvalue("custom", "def", "save", "1")
		es.keycreate("custom", "begin_counter")
		es.keycreate("custom", "end_counter")
		es.keysetvalue("custom", "begin_counter", "0", "- BEGIN -")
		es.keysetvalue("custom", "begin_counter", "1", "- Game will start in 1 -")
		es.keysetvalue("custom", "begin_counter", "2", "- Game will start in 2 -")
		es.keysetvalue("custom", "begin_counter", "3", "- Game will start in 3 -")
		es.keysetvalue("custom", "begin_counter", "4", "- Game will start in 4 -") 
		es.keysetvalue("custom", "begin_counter", "5", "- Game will start in 5 -")
		es.keysetvalue("custom", "end_counter", "0", "- Ended. -")
		es.keysetvalue("custom", "end_counter", "1", "- Game will end in 1 -")
		es.keysetvalue("custom", "end_counter", "2", "- Game will end in 2 -")
		es.keysetvalue("custom", "end_counter", "3", "- Game will end in 3 -")
		es.keysetvalue("custom", "end_counter", "4", "- Game will end in 4 -")
		es.keysetvalue("custom", "end_counter", "5", "- Game will end in 5 -")
		es.keygroupsave("custom", "|deathrun")
	dr_defaultteam = es.keygetvalue("config", "default", "dr_defaultteam")
	dr_combine_winlimit = es.keygetvalue("config", "default", "dr_combine_winlimit")
	dr_rebel_winlimit = es.keygetvalue("config", "default", "dr_rebel_winlimit")
	dr_combine_limit = es.keygetvalue("config", "default", "dr_combine_limit")
	dr_autoupdate = es.keygetvalue("config", "default", "dr_autoupdate")
	dr_combine_limit_auto = es.keygetvalue("config", "default", "dr_combine_limit_auto")
	dr_sounds = es.keygetvalue("config", "default", "dr_sounds")
	dr_show_hostname_score = es.keygetvalue("config", "default", "dr_show_hostname_score")
	dr_stats = es.keygetvalue("config", "default", "dr_stats")
	es.set("dr_stats", dr_stats)
	es.set('dr_defaultteam', dr_defaultteam)
	es.set('dr_combine_limit', dr_combine_limit)
	es.set('dr_combine_winlimit', dr_combine_winlimit)
	es.set('dr_rebel_winlimit', dr_rebel_winlimit)
	es.set('dr_autoupdate', dr_autoupdate)
	es.set('dr_combine_limit_auto', dr_combine_limit_auto)
	es.set('dr_sounds', dr_sounds)
	es.set('sr_stats', dr_stats)
	
	es.server.cmd("echo [DRPy] Loading addons...")
	#loadaddon('stats')
	loadaddon('upsync')
	loadaddon('hud')
	loadaddon('weaponstrip')
	loadaddon('winlimit')
        es.server.cmd("echo [DRPy] Addons: %s loaded!"%(addonList))
	
	es.server.cmd("repeat delete update7")
	es.server.cmd("repeat delete showscorehost")
	es.msg("#multi", "#green-[Deathrun]-#lightgreen Deathrun loaded <version %s build %s>"%(info.version, info.buildnumber))
	es.forcevalue("mp_forcerespawn", "1")
	es.forcevalue("mp_allowspectators", "1")
	es.server.cmd("sv_tags deathrun")
	es.regclientcmd("loadmyteamfromserver", "deathrun/teamdatabaseloader")
	
	es.server.cmd("echo [DRPy] Registering cmds...")
	es.regclientcmd("dr_restart", "deathrun/cmdrestart")
	es.regclientcmd("dr_combineban", "deathrun/bancombine")
	es.regclientcmd("dr_combineunban", "deathrun/unbancombine")
	es.regclientcmd("dr_setteam", "deathrun/setteam")
	es.regclientcmd("_dr_showscore", "deathrun/showscore")
	es.regclientcmd("dr_reset", "deathrun/resetall")
	es.regclientcmd("dr_forceteam", "deathrun/forceteam")
	es.regclientcmd("_dr_play_win_sound", "deathrun/playwinsound")
	es.regclientcmd("dr_version", "deathrun/version")
	es.regcmd("dr_restart", "deathrun/console_cmdrestart")
	es.regcmd("dr_combineban", "deathrun/console_bancombine")
	es.regcmd("dr_combineunban", "deathrun/console_unbancombine")
	es.regcmd("dr_setteam", "deathrun/console_setteam")
	es.regcmd("dr_reset", "deathrun/console_resetall")
	es.regcmd("dr_forceteam", "deathrun/console_forceteam")
	
	es.loadevents("declare", "addons/eventscripts/deathrun/events/es_deathrun_events.res")
	
	begin0 = es.keygetvalue("custom", "begin_counter", "0")
	begin1 = es.keygetvalue("custom", "begin_counter", "1")
	begin2 = es.keygetvalue("custom", "begin_counter", "2")
	begin3 = es.keygetvalue("custom", "begin_counter", "3")
	begin4 = es.keygetvalue("custom", "begin_counter", "4")
	begin5 = es.keygetvalue("custom", "begin_counter", "5")
	end0 = es.keygetvalue("custom", "end_counter", "0")
	end1 = es.keygetvalue("custom", "end_counter", "1")
	end2 = es.keygetvalue("custom", "end_counter", "2")
	end3 = es.keygetvalue("custom", "end_counter", "3")
	end4 = es.keygetvalue("custom", "end_counter", "4")
	end5 = es.keygetvalue("custom", "end_counter", "5")
	
	es.set('end5', end5)
	es.set('end4', end4)
	es.set('end3', end3)
	es.set('end2', end2)
	es.set('end1', end1)
	es.set('end0', end0)
	es.set('begin5', begin5)
	es.set('begin4', begin4)
	es.set('begin3', begin3)
	es.set('begin2', begin2)
	es.set('begin1', begin1)
	es.set('begin0', begin0)
	
	es.doblock("deathrun/count")
	
	
	if server_var['dr_sounds'] == 1:
		es.server.cmd("downloadable sound/deathrun_plugin/player_death.mp3")
		es.server.cmd("downloadable sound/deathrun_plugin/player_win.mp3")
	if server_var['dr_autoupdate'] == 1:
		es.server.queuecmd('us_update')
		
def version():
	userid = es.getcmduserid()
	es.tell(userid, "<%s %s> by isivisi"%(info.version, info.buildnumber))

def unload():
	es.msg("#multi", "#green -[DeathRun]- #lightgreen  Unloading...")
	es.msg("#multi", "#green -[DeathRun]- #lightgreen  Stopping Rounds...")
	es.doblock("deathrun/stopall")
	es.keygroupsave("bans", "|deathrun")
	es.keygroupdelete("bans")
	es.keygroupdelete("custom")
	es.keygroupdelete("config")
	es.server.cmd("repeat delete showscorehost")
	es.server.cmd("repeat delete end_Showscore")
	es.unload("deathrun/stats")
	es.unload('deathrun/hud')
	es.unload('deathrun/weaponstrip')
	es.unload('deathrun/upsync')
	
def player_disconnect(event_var):
	players = es.getplayercount()
	if players == 0:
		es.set('need', '1')
	
def player_activate(event_var):
	global trys, dr_team
	if trys == 0:
		es.server.cmd('exec deathrun')
		trys = 1
		print '[DRPy] Admins: %s Donators: %s'%(dr_admins, dr_vip)
	es.server.cmd("es mp_disable_autokick %s"%(event_var['userid'])) 	# valve released an update for srcds that stopped any normal client from sending the ent_fire command to the server for 'security reasons' (which is a load of crap). This tells the server that the client is more than normal and can use the ent_fire command / fixes es.fire so gametext and some other stuff can work.
	try:
		if dr_team[event_var['userid']]:
			lol = 0
	except:
		dr_team[event_var['userid']] = server_var['dr_defaultteam']
	es.tell(event_var["userid"], "-[DeathRun]- Please say r to become a rebel and C for combine.")
maxs = {}
maxs['max'] = 5
maxs['times'] = 0
def player_spawn(event_var):
	global dr_team, maxs
        weaponstrip.removeweps(1)
	es.set('player_spawn_userid', event_var['userid'])
	es.setplayerprop(event_var["userid"], "CBaseEntity.m_CollisionGroup", "2")
	es.server.cmd('playerset health %s 999'%(event_var['userid']))
	es.delayed('3', 'playerset health %s 100'%(event_var['userid']))
	
	if server_var['dr_sounds'] == 1:
		es.stopsound(event_var['userid'], 'deathrun_plugin/player_death.mp3')
		
	if event_var['es_steamid'] in dr_vip:
		es.delayed('4', 'playerset health %s 150'%(event_var['userid']))
		es.delayed('4', es.tell(event_var['userid'], '#multi', '#green -[DeathRun]-[VIP]- #lightgreen Health set to 150.'))
		
	if server_var['dr_combine_limit_auto'] == 1:
		autoc = es.getplayercount()
		if autoc < 4:
			es.set('dr_combine_limit', '1')
		if autoc > 4:
			es.set('dr_combine_limit', '2')
		if autoc > 6:
			es.set('dr_combine_limit', '3')
		if autoc > 8:
			es.set('dr_combine_limit', '4')
		if autoc > 9:
			es.set('dr_combine_limit', '5')
			
	if server_var['eventspawn'] == 0:
		if event_var['es_userteam'] == 3:
			es.delayed('2', 'es_give %s weapon_crowbar'% event_var['userid'])
		if event_var['es_userteam'] == 2:
			es.delayed('2', 'es_give %s weapon_stunstick'% event_var['userid'])
		
		#es.delayed('1', 'es_cexec %s _dr_showscore'%(event_var['userid'])) #this currenty crashes D:
		es.set('win', '1')
		es.set('wintaken', '1')
		
		es.sexec(event_var['userid'], 'use weapon_crowbar')
		es.sexec(event_var['userid'], 'use weapon_stunstick')
		team = es.getplayercount('2')
		if team == 0:
			if server_var['needcombineoff'] != 1:
				es.msg('#multi', '#green -[DeathRun]- #lightgreen  No combine! Someone Please say: #green c #lightgreen to become combine!')
				es.set('noper', '1')
				es.set('spec', '0')
				es.set('afterspawnteam', '0')
				es.set('chatteam', '1')
				es.set('win', '0')
				es.set('scoreing', '0')
				es.set('needcombine', '1')
				es.delayed('10', 'es_set afterspawnjoin 1')
				es.delayed('10', 'es_set chatteam 1')
				es.delayed('10', 'es_set spec 0')
				allplayers = es.getplayercount()
				if allplayers > 0:
					if allplayers < 6:
						maxs['max'] = 5
					if allplayers > 9:
						maxs['max'] = 10
					if allplayers > 14:
						maxs['max'] = 15
					maxs['times'] += 1
					#print maxs['max']
					#print maxs['times']
					if maxs['times'] == maxs['max']:
						es.set('getback', '0')
						es.server.queuecmd('getrandplayer getback #all')
						gamethread.delayed(.5, getback, 'lol')
						
		
		if server_var['eventdeath'] == 0:
			if server_var['needcombine'] == 1:
				if team != 0:
					es.delayed('2', 'es_doblock deathrun/count')
					es.msg('#multi', '#green -[DeathRun]- #lightgreen Server has a combine Game restarting...')
					es.set('scoreing', '1')
					es.delayed('5', 'es_set win 1')
					es.set('needcombine', '0')
		
		if server_var['noper'] == 1:
			if team != 0:
				es.delayed('10', 'es_set spec 1')
				es.set('noper', '0')
		
		if server_var['hav'] == 1:
			es.set('spec', '1')
			es.set('hav', '0')
def getback(lol):
	global maxs
	gb = '%s' % server_var['getback']
	dr_team[gb] = 2
	es.server.queuecmd('dr_restart')
	maxs['times'] = 0
			
def es_map_start(event_var):
	es.set('hud', '0')
	es.loadevents('addons/eventscripts/deathrun/events/es_deathrun_events.res')
	es.set('win', '1')
	es.set('countin', '1')
	es.set('scoreing', '1')
	es.set('needcombine' '1')
	es.set('spec', '1')
	es.set('rebel_score', '0')
	es.set('combine_score', '0')
	es.set('_map_end', '0')
	es.set('wintaken', '0')
	if server_var['dr_sounds'] == 1:
		es.server.cmd('downloadable sound/deathrun_plugin/player_death.mp3')
		es.server.cmd('downloadable sound/deathrun_plugin/player_win.mp3')
	if server_var['dr_autoupdate'] == 1:
		es.server.queuecmd('us_update')
	
def player_death(event_var):
	global dr_team
	combine = es.getlivingplayercount('2')
	rebel = es.getlivingplayercount('3')
	
	if server_var['dr_sounds'] == 1:
		es.playsound(event_var['userid'], 'deathrun_plugin/player_death.mp3', '0.7')

	if server_var['force_team'] == 0:
		if server_var['spec'] == 1:
			es.changeteam(event_var['userid'], '1')
			es.tell(event_var['userid'], '#multi', '#green -[DeathRun]- #lightgreen  You will spawn when round is over')
	if server_var['win'] == 1:
		if server_var['wintaken'] == 1:
			if combine == 0:
				es.set('_rebels_win' '1')
				es.set('wintaken', '0')
				es.set('rebelwin', '1')
				es.set('combinewin', '0')
				if server_var['scoreing'] == 1:
					es.set('scoreing', '0')
					es.delayed('10', 'es_set scoreing 1')
					if server_var['antirebel'] == 0:
						es.server.cmd('es_xmath rebel_score + 1')
						es.doblock('deathrun/rebelwin')
						es.server.queuecmd('dr_mapend_win rebel')
		if server_var['wintaken'] == 1:
			if rebel == 0:
				es.set('_combine_win' '1')
				es.set('wintaken', '0')
				es.set('rebelwin', '0')
				es.set('combinewin', '1')
				if server_var['scoreing'] == 1:
					es.set('scoreing', '0')
					es.delayed('10', 'es_set scoreing 1')
					if server_var['antirebel'] == 0:
						es.server.cmd('es_xmath combine_score + 1')
						es.doblock('deathrun/combinewin')
						es.server.queuecmd('dr_mapend_win combine')
	if server_var['dr_sounds'] == 1:
		es.set('_winsound_team', '0')
		if server_var['_combine_win'] == 1:
			es.set('_winsound_team', '2')
		if server_var['_rebel_win'] == 1:
			es.set('_winsound_team', '3')
		if server_var['_winsound_team'] != 0:
			es.cexec_all('_dr_play_win_sound')
		es.set('_combine_win', '0')
		es.set('_rebels_win', '0')
		
def player_team(event_var):
	global dr_team
	steamid = es.getplayersteamid(event_var['userid'])
	if event_var['oldteam'] == 2:
		if event_var['team'] == 3:
			es.set('antirebel', '1')
			es.delayed('10', 'antirebel	0')
	if event_var['oldteam'] == 2:
                if event_var['team'] == 1:
                        es.set('needcombineoff', '1')
                        es.delayed('10', 'needcombineoff 0')
	if server_var['force_team'] == 0:
		tea = es.getplayercount('2')
		if tea > server_var['dr_combine_limit']:
			if steamid in dr_vip:
				es.tell(event_var['userid'], '#multi', '#green -[DeathRun]-[VIP]- #lightgreen Skipping combine limit for vip.')
			else:
				es.keysetvalue('players', 'teams', event_var['userid'], '3')
				es.cexec(event_var['userid'], 'jointeam 3')
				es.cexec(event_var['userid'], 'loadmyteamfromserver')
				es.tell(event_var['userid'], '-[DeathRun]- You have reached the combine limit!')	
	if server_var['force_team'] == 0:
		if server_var['spec'] == 1:
			es.changeteam(event_var['userid'], '1')
			es.cexec(event_var['userid'], 'jointeam 1')
			es.tell(event_var['userid'], '#multi', '#green -[DeathRun]- #lightgreen  You will spawn when round is over')

def player_say(event_var):
	global dr_team
	if server_var['chatteam'] == 1:
		if event_var['text'] == 'r':
			dr_team[event_var['userid']] = 3
			es.cexec(event_var['userid'], 'jointeam 3')
		if event_var['text'] == 'c':
			dr_team[event_var['userid']] = 2
			es.cexec(event_var['userid'], 'jointeam 2')
		if event_var['text'] == 's':
			dr_team[event_var['userid']] = 1
			es.cexec(event_var['userid'], 'jointeam 1')
	if server_var['afterspawnjoin'] == 1:
		if event_var['text'] == 'r':
			dr_team[event_var['userid']] = 3
			es.tell(event_var['userid'], '#multi', '#green -[DeathRun]- #lightgreen  You will now spawn as a rebel when the round ends.')
		if event_var['text'] == 'c':
			dr_team[event_var['userid']] = 2
			es.tell(event_var['userid'], '#multi', '#green -[DeathRun]- #lightgreen  You will now spawn as a combine when the round ends.')
		if event_var['text'] == 's':
			dr_team[event_var['userid']] = 1
			es.cexec(event_var['userid'], 'jointeam 1')

def combinewin():
	if server_var['combinewin'] == 1:
		es.msg('#multi', '#green -[DeathRun]- #lightgreen  Combine Win!')
		es.msg('#multi', '#green -[DeathRun]- #lightgreen Score:  Rebels: %s / Combine: %s'%(server_var['rebel_score'], server_var['combine_score']))
		es.doblock('deathrun/count')
		es.set('win', '0')
		es.set('combinewin', '0')
		if server_var['ad1'] == 1:
			es.set('ad1', '0')
			es.delayed('5', 'es_msg #multi #green -[DeathRun]-#lightgreen Type#green r#lightgreen to join rebels and#green c#lightgreen to join combine!')
			es.delayed('5', 'es_set ad1 1')
			
def rebelwin():
	if server_var['rebelwin'] == 1:
		es.msg('#multi', '#green -[DeathRun]- #lightgreen  Rebels Win!')
		es.msg('#multi', '#green -[DeathRun]- #lightgreen Score:  Rebels: %s / Combine: %s'%(server_var['rebel_score'], server_var['combine_score']))
		es.doblock('deathrun/count')
		es.set('win', '0')
		es.set('rebelwin', '0')
		if server_var['ad1'] == 1:
			es.set('ad1', '0')
			es.delayed('5', 'es_msg #multi #green -[DeathRun]-#lightgreen Type#green r#lightgreen to join rebels and#green c#lightgreen to join combine!')
			es.delayed('5', 'es_set ad1 1')

def teamdatabaseloader():
	global dr_team
	if server_var['spec'] == 0:
		userid2 = es.getcmduserid()
		userid = '%s' % userid2
		es.cexec(userid, 'jointeam %s' % dr_team[userid])
		es.changeteam(userid, dr_team[userid])
		es.cexec(userid, 'jointeam %s' % dr_team[userid])
		es.server.cmd('es_delayed 1 es_cexec %s jointeam %s'%(userid, dr_team[userid]))
	else:
                print 'cannot use teamdatabaseloader() unless spec is 0!'
def count():
	if server_var['countin'] == 1:
		es.set('win', '0')
		es.set('countin', '0')
		es.delayed('3', 'es_set spec 0')
		es.forcevalue('mp_restartgame', '5')
		es.delayed('5', 'es_msg %s'%(server_var['begin0']))
		es.delayed('4', 'es_msg %s'%(server_var['begin1']))
		es.delayed('3', 'es_msg %s'%(server_var['begin2']))
		es.delayed('2', 'es_msg %s'%(server_var['begin3']))
		es.delayed('1', 'es_msg %s'%(server_var['begin4']))
		es.msg(server_var['begin5'])
		es.delayed('5.2', 'es_set countin 1')
		es.delayed('5.3', 'es_set afterspawnjoin 0')
		es.delayed('5.4', 'es_set chatteam 1')
		es.server.queuecmd('es_delayed 4 es_cexec_all loadmyteamfromserver')
		es.server.queuecmd('es_delayed 5 es_cexec_all loadmyteamfromserver')
		es.server.queuecmd('es_delayed 6 es_cexec_all loadmyteamfromserver')
		es.server.queuecmd('es_delayed 7 es_cexec_all loadmyteamfromserver')
		es.server.queuecmd('es_delayed 8 es_cexec_all loadmyteamfromserver')
		es.delayed('9', 'es_set spec 1')
		es.delayed('10', 'es_set afterspawnjoin 1')
		es.delayed('10', 'es_set chatteam 0')
		es.delayed('5', 'countin 1')
		
#def showscore():
#	userid_HUD = es.getcmduserid()
#	es.set('HUD1', 'Rebel %s'%(server_var['rebel_score']))
#	es.set('HUD2', 'combine %s'%(server_var['combine_score']))
#	es.set('color2', '0 0 255')
#	es.set('color', '255 0 0')
#	es.delayed('1', 'es hud_gametext %s server_var(HUD1) 1 .1 .05 server_var(color) 99999 1 1'%(userid_HUD))
#	es.delayed('2', 'es hud_gametext %s server_var(HUD2) 1 .1 .1 server_var(color2) 99999 1 1'%(userid_HUD))
	
	
def cmdrestart():
	userid = es.getcmduserid()
	steamid = es.getplayersteamid(userid)
	if steamid in dr_admins:
		name = es.getplayername(userid)
		es.set('win', '1')
		es.set('countin', '1')
		es.doblock('deathrun/count')
		es.msg('#multi', '#green -[DeathRun]- #lightgreen  Admin %s Restarted Round.'%(name))
	else:
		es.tell(userid, '#multi', '#green -[DeathRun]- #lightgreen  Error you are not in the admin list you cannot execute that cmd.')

#def bancombine():
#	global dr_team
#	userid = es.getcmduserid()
#	steamid = es.getplayersteamid(userid)
#	name = es.getargs()
#	try:
#		name_userid = es.getuserid(name)
#		name_uid = '%s' % name_userid
#		name_steamid = es.getplayersteamid(name_userid)
#		savez = es.keygetvalue('bans', name_steamid, 'save')
#	except:
#		print 'Error: Player does not exist!'
#	if steamid in dr_admins:
#		if name_userid:
#			if args:
#				combineban = es.keygetvalue('bans', name_steamid, 'combineban')
#				if savez:
#					if combineban != 1:
#						es.keysetvalue('bans', name_steamid, 'combineban', '1')
#						es.tell(userid, '#multi', '#green -[DeathRun]- #lightgreen %s has been banned from combine.'%(name_steamid))
#						dr_team[name_uid] = 3
#						es.cexec(name_userid, 'jointeam 3')
#						es.tell(name_userid, '#multi', '#green -[DeathRun]- #lightgreen You have been banned from combine!')
#						es.keygroupsave('bans', '|deathrun')
#					else:
#						es.tell(userid, '#multi', '#green -[DeathRun]- #lightgreen Steamid is already banned from combine!')
#				else:
#					es.keycreate('bans', name_steamid)
#					es.keysetvalue('bans', name_steamid, 'combineban' '1')
#					es.keysetvalue('bans', name_steamid, 'save', '1')
#					es.tell(userid, '#multi', '#green -[DeathRun]- #lightgreen %s has been banned from combine.'%(name_steamid))
#					es.keygroupsave('bans', '|deathrun')
#			else:
#				es.tell(userid, 'Error! dr_combineban <name>')  
#		else:
#			es.tell(userid, 'Error! player not found!')
#	else:
#		es.tell(userid, '#multi', '#green -[DeathRun]- #lightgreen  Error you are not in the admin list you cannot execute that cmd.')

#def unbancombine():
#	userid = es.getcmduserid()
#	steamid = es.getplayersteamid(userid)
#	name = es.getargs()
#	name_userid = es.getuserid(name)
#	name_steamid = es.getplayersteamid(name_userid)
#	if steamid in dr_admins:
#		if name_userid:
#			if name:
#				combineban = es.keygetvalue('bans', name_steamid, 'combineban')
#				if combineban == 1:
#					es.keysetvalue('bans', name_steamid, 'combineban', '0')
#					es.tell(userid, '#multi', '#green -[DeathRun]- #lightgreen %s has been unbanned from combine.'%(name_steamid))
#					es.keygroupsave('bans', '|deathrun')
#				else:
#					es.tell(userid, '#multi', '#green -[DeathRun]- #lightgreen Steamid is already unbanned from combine!')
#			else: 
#				es.tell(userid, 'Error! dr_unbancombine <name>') 
#		else:
#			es.tell(userid, 'Error! player not found!')   
#	else:
#		es.tell(userid, '#multi', '#green -[DeathRun]- #lightgreen  Error you are not in the admin list you cannot execute that cmd.')
#
def setteam():
	global dr_team
	userid = es.getcmduserid()
	steamid = es.getplayersteamid(userid)
	name = es.getargv(1)
	teamz = es.getargv(2)
	name_userid = es.getuserid(name)
	name_uid = '%s' % name_userid
	if steamid in dr_admins:
		if teamz:
			if teamz == 'r':
				dr_team[name_uid] = 3
				es.cexec(name_userid, 'jointeam 3')
				es.tell(userid, 'Player set: team 3')
			if teamz == 'c':
				dr_team[name_uid] = 2
				es.cexec(name_userid, 'jointeam 2')
				es.tell(userid, 'Player set: team 2')
			if teamz == 's':
				dr_team[name_uid] = 1
				es.cexec(name_userid, 'jointeam 1')
				es.tell(userid, 'Player set: team 1')
		else:
			es.tell(userid, 'Error! dr_setteam <name> <team> | ex. dr_setteam name r')
	else:
		es.tell(userid, '#multi #green -[DeathRun]- #lightgreen  Error you are not in the admin list you cannot execute that cmd.')

def resetall():
	userid = es.getcmduserid()
	steamid = es.getplayersteamid(userid)
	name = es.getplayername(userid)
	if steamid in dr_admins:
		es.msg('#multi', '#green -[DeathRun]- #lightgreen Admin %s Reset deathrun scores.'%(name)) 
		es.set('combine_score', '0')
		es.set('rebel_score', '0')
	else:
		es.tell(userid, '#multi', '#green -[DeathRun]- #lightgreen  Error you are not in the admin list you cannot execute that cmd.')

def forceteam():
	global dr_team
	userid = es.getcmduserid()
	steamid = es.getplayersteamid(userid)
	name = es.getargv(1)
	teamz = es.getargv(2)
	name_userid = es.getuserid(name)
	name_uid = '%s' % name_userid
	name_steamid = es.getplayersteamid(name_userid)
	if steamid in dr_admins:
		if teamz:
			if teamz == 'r':
				dr_team[name_uid] = 3
				es.cexec(name_userid, 'jointeam 3')
				es.tell(userid, 'Player set: team 3')
			if teamz == 'c':
				dr_team[name_uid] = 2
				es.cexec(name_userid, 'jointeam 2')
				es.tell(userid, 'Player set: team 2')
			if teamz == 's':
				dr_team[name_uid] = 1
				es.cexec(name_userid, 'jointeam 1')
				es.tell(userid, 'Player set: team 1')
		else:
			es.tell(userid, 'Error! dr_forceteam <name> <team> | ex. dr_forceteam name r')
		es.set('force_team', '1')
		es.delayed('1', 'force_team 0')
	else:
		es.tell(userid, '#multi', '#green -[DeathRun]- #lightgreen  Error you are not in the admin list you cannot execute that cmd.')

def console_forceteam():
	global dr_team
	name = es.getargv(1)
	name_userid = es.getuserid(name)
	name_uid = '%s' % name_userid
	teamz = es.getargv(2)
	if teamz:
		if teamz == 'r':
			dr_team[name_uid] = 3
			es.cexec(name_userid, 'jointeam 3')
			es.server.cmd('echo Player set: team 3')
		if teamz == 'c':
			dr_team[name_uid] = 2
			es.cexec(name_userid, 'jointeam 2')
			es.server.cmd('echo Player set: team 2')
		if teamz == 's':
			dr_team[name_uid] = 1
			es.cexec(name_userid, 'jointeam 2')
			es.server.cmd('echo Player set: team 2')
		es.set('force_team', '1')
		es.delayed('1', 'force_team 0')
	else: 
		es.server.cmd('echo Error! dr_forceteam <name> <team> | ex. dr_forceteam name r')

def console_resetall():
	es.msg('#multi', '#green -[DeathRun]- #lightgreen CONSOLE Reset deathrun scores.') 
	es.set('combine_score', '0')
	es.set('rebel_score', '0')

def playwinsound():
	userid = es.getcmduserid()
	team = es.keygetvalue('players', 'teams', userid)
	if team == server_var['_winsound_team']:
		es.stopsound(userid, 'deathrun_plugin/player_death.mp3')
		es.playsound(userid, 'deathrun_plugin/player_win.mp3 0.7')

def console_setteam():
	global dr_team
	name = es.getargv(1)
	name_userid = es.getuserid(name)
	name_uid = '%s' % name_userid
	teamz = es.getargv(2)
	if teamz:
		if teamz == 'r':
			dr_team[name_uid] = 3
			es.cexec(name_userid, 'jointeam 3')
			es.server.cmd('echo Player set: team 3')
		if teamz == 'c':
			dr_team[name_uid] = 2
			es.cexec(name_userid, 'jointeam 2')
			es.server.cmd('echo Player set: team 2')
		if teamz == 's':
			dr_team[name_uid] = 1
			es.cexec(name_userid, 'jointeam 1')
			es.server.cmd('echo Player set: team 1')
	else:
		es.server.cmd('echo Error! dr_setteam <name> <team> | ex. dr_setteam name r')

def console_unbancombine():
	name = es.getargs()
	name_userid = es.getuserid(name)
	name_steamid = es.getplayersteamid(name_userid)
	if name:
		if name_steamid:
			combineban = es.keygetvalue('bans', name_steamid, 'combineban')
			if combineban == 1:
				es.keysetvalue('bans', name_steamid, 'combineban', '0')
				es.server.cmd('echo %s has been unbanned from combine.'%(name_steamid))
				es.keygroupsave('bans', '|deathrun')
			else:
				es.server.cmd('echo Steamid is already unbanned from combine!')
		else:
			es.server.cmd('echo Error! player not found!')
	else:
		es.tell('echo Error! dr_unbancombine <name>')    

def console_bancombine():
	global dr_team
	name = es.getargs()
	name_userid = es.getuserid(name)
	name_uid = '%s' % name_userid
	name_steamid = es.getplayersteamid(name_userid)
	savez = es.keygetvalue('bans', name_steamid, 'save')
	if name:
		if name_steamid:
			combineban = es.keygetvalue('bans', name_steamid, 'combineban')
			if savez:
				if combineban != 1:
					es.keysetvalue('bans', name_steamid, 'combineban', '1')
					es.server.cmd('echo %s has been banned from combine.'%(name_steamid))
					dr_team[name_uid] = 3
					es.cexec(name_userid, 'jointeam 3')
					es.tell(name_userid, '#multi', '#green -[DeathRun]- #lightgreen You have been banned from combine!')
					es.keygroupsave('bans', '|deathrun')
				else:
					es.server.cmd('echo Steamid is already banned from combine!')
			else:
				es.keycreate('bans', name_steamid)
				es.keysetvalue('bans', name_steamid, 'combineban', '1')
				es.keysetvalue('bans', name_steamid, 'save', '1')
				es.server.cmd('echo %s has been banned from combine.'%(name_steamid))
				es.keygroupsave('bans', '|deathrun')
		else:
			es.server.cmd('echo Error! player not found!')
	else: 
		es.server.cmd('echo Error! dr_combineban <name>')    

def console_cmdrestart():
	es.set('win', '1')
	es.set('countin', '1')
	es.doblock('deathrun/count')
	es.msg('#multi', '#green -[DeathRun]- #lightgreen CONSOLE Restarted Round.')

print '[DEATHRUN PYTHON] Deathrun Loaded <version %s build %s>'%(info.version, info.buildnumber)
		

	
